<div id="top"></div>

<mat-card class="enroll_header">
    <mat-card-header>Enrollment</mat-card-header>
</mat-card>
<div class="mb-20" fxFlex fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
    <div fxFlex>
        <form class="form" [formGroup]="newForm">
        <div class="left_forms_container">
            <h1 style="font-size: 1em;">Detail Umum</h1>
            <br>
            <table class="left_forms_table">
                <tr>
                    <td>NIP:</td>
                    <td>
                        <mat-form-field>
                            <input matInput placeholder="Masukkan NIP" [disabled]="vendorFlag||staffFlag" id="nip" type="text" formControlName="nip"
                            class="form-control" required="">
                        </mat-form-field>
                        <div *ngIf="newForm.controls.nip.invalid && (newForm.controls.nip.dirty || newForm.controls.nip.touched)" class="alert alert-danger">
                            <app-show-errors [control]="newForm.controls.nip"></app-show-errors>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>Nama:</td>
                    <td>
                        <mat-form-field>
                            <input matInput placeholder="Masukkan Nama" [disabled]="vendorFlag||staffFlag" id="nama" type="text" formControlName="name"
                            class="form-control" required="">
                        </mat-form-field>
                        <div *ngIf="newForm.controls.name.invalid && (newForm.controls.name.dirty || newForm.controls.name.touched)" class="alert alert-danger">
                            <app-show-errors [control]="newForm.controls.name"></app-show-errors>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>Tanggal Lahir:</td>
                    <td>
                        <mat-form-field>
                            <input matInput [matDatepicker]="picker" placeholder="Choose a date" formControlName="dob">
                            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                            <mat-datepicker #picker></mat-datepicker>
                        </mat-form-field>
                    </td>
                </tr>
                <br>
                <tr>
                    <td>Jenis Kelamin:</td>
                    <td>
                        <mat-radio-group class="gender_radio" formControlName="gender">
                            <mat-radio-button class="Male" value="0">Male</mat-radio-button>
                            <mat-radio-button class="Female" value="1">Female</mat-radio-button>
                        </mat-radio-group>
                    </td>
                </tr>
                <br>
                <tr>
                    <td>Role:</td>
                    <td>
                        <mat-form-field>
                            <mat-select placeholder="---Pilih Role---"  id="role" type="text" formControlName="role"
                            class="form-control" required=""> 
                                <mat-option value="3">Staff</mat-option>
                                <mat-option value="2">Vendor</mat-option>
                            </mat-select>
                        </mat-form-field>
                        <div *ngIf="newForm.controls.role.invalid && (newForm.controls.role.dirty || newForm.controls.name.touched)" class="alert alert-danger">
                            <app-show-errors [control]="newForm.controls.role"></app-show-errors>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>Divisi:</td>
                    <td>
                        <mat-form-field>
                            <mat-select placeholder="---Pilih Nama Divisi---" id="divisi" type="text" formControlName="divisi"
                            class="form-control" required="">
                                <mat-option *ngFor="let division of divisionList" [value]="division">{{division.name}}</mat-option>
                            </mat-select>
                        </mat-form-field>
                        <div *ngIf="newForm.controls.divisi.invalid && (newForm.controls.divisi.dirty || newForm.controls.divisi.touched)" class="alert alert-danger">
                            <app-show-errors [control]="newForm.controls.divisi"></app-show-errors>
                        </div>
                    </td>
                </tr>
            </table>
            <div class="fxflex">
                <button mat-raised-button color="primary" class="w-101" (click)="onSubmitUmum(newForm.value)" [disabled]="vendorFlag || staffFlag || !newForm.valid">SUBMIT</button>
            </div>
        </div>
    </form>
    </div>
    <div fxFlex>

        <div class="right_forms_container" *ngIf="staffFlag || vendorFlag">
            <div *ngIf="staffFlag">
            <form class="form" [formGroup]="enroll_khusus_form">
            <h1 style="font-size: 1em;">Detail Khusus</h1>
            <br>
            <table class="right_forms_table_staff" >
                <tr>
                    <td>Program:</td>
                    <td>
                        <mat-form-field>
                            <mat-select placeholder="---Pilih Nama Program---" id="program" type="text" formControlName="det_program"
                            class="form-control" required="">
                                <mat-option *ngFor="let program of allProgramArray" [value]="program.code" >{{program.code}}</mat-option>
                            </mat-select>
                        </mat-form-field>
                        <div *ngIf="enroll_khusus_form.controls.det_program.invalid && (enroll_khusus_form.controls.det_program.dirty || enroll_khusus_form.controls.det_program.touched)" class="alert alert-danger">
                            <app-show-errors [control]="enroll_khusus_form.controls.det_program"></app-show-errors>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>Status Kerja:</td>
                    <td>
                        <mat-form-field>
                            <mat-select placeholder="---Pilih Status Kerja---" id="status" type="text" formControlName="det_status"
                            class="form-control" required="">
                                <mat-option value="true">Internal</mat-option>
                                <mat-option value="false">Eksternal</mat-option>
                            </mat-select>
                        </mat-form-field>
                        <div *ngIf="enroll_khusus_form.controls.det_status.invalid && (enroll_khusus_form.controls.det_status.dirty || enroll_khusus_form.controls.det_status.touched)" class="alert alert-danger">
                            <app-show-errors [control]="enroll_khusus_form.controls.det_status"></app-show-errors>
                        </div>
                    </td>
                </tr>
            </table>
            <div fxFlexFill>
                <button mat-raised-button color="primary" class="w-101" (click)="onSubmitDetailStaff(enroll_khusus_form.value)" *ngIf="staffFlag" [disabled]="!enroll_khusus_form.valid">SUBMIT</button>
            </div>
        </form>
            </div>
            <div  *ngIf="vendorFlag">
            <form class="form" [formGroup]="enroll_vend_khusus_form">
            <table class="right_forms_table_vendor">
                <tr>
                    <td>Detail Khusus</td>
                </tr>
                <!--tr style="display: none;">
                    <td>NIP:</td>
                    <td>
                        <mat-form-field>
                            <input matInput placeholder="Masukkan Lokasi Stall" id="nip" type="text" formControlName="det_nip"
                            class="form-control">
                        </mat-form-field>
                    
                    </td>
                </tr-->
                <tr>
                    <td>Address:</td>
                    <td>
                        <mat-form-field>
                            <input matInput placeholder="Masukkan Alamat Anda" id="addr" type="text" formControlName="det_addr"
                            class="form-control" required="" >
                        </mat-form-field>
                        <div *ngIf="enroll_vend_khusus_form.controls.det_addr.invalid && (enroll_vend_khusus_form.controls.det_addr.dirty || enroll_vend_khusus_form.controls.det_addr.touched)" class="alert alert-danger">
                            <app-show-errors [control]="enroll_vend_khusus_form.controls.det_addr"></app-show-errors>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>Email:</td>
                    <td>
                        <mat-form-field>
                            <input matInput placeholder="Masukkan Email Anda" id="email" type="text" formControlName="det_email"
                            class="form-control" required="" >
                        </mat-form-field>
                        <div *ngIf="enroll_vend_khusus_form.controls.det_email.invalid && (enroll_vend_khusus_form.controls.det_email.dirty || enroll_vend_khusus_form.controls.det_email.touched)" class="alert alert-danger">
                            <app-show-errors [control]="enroll_vend_khusus_form.controls.det_email"></app-show-errors>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>Phone:</td>
                    <td>
                        <mat-form-field>
                            <input matInput placeholder="Masukkan Nomor HP Anda" id="phone" type="text" formControlName="det_phone"
                            class="form-control" required="" >
                        </mat-form-field>
                        <div *ngIf="enroll_vend_khusus_form.controls.det_phone.invalid && (enroll_vend_khusus_form.controls.det_phone.dirty || enroll_vend_khusus_form.controls.det_phone.touched)" class="alert alert-danger">
                            <app-show-errors [control]="enroll_vend_khusus_form.controls.det_phone"></app-show-errors>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>Lokasi Stall:</td>
                    <td>
                        <mat-form-field>
                            <input matInput placeholder="Masukkan Lokasi Stall" id="lokasi" type="text" formControlName="det_lokasi"
                            class="form-control" required="" >
                        </mat-form-field>
                        <div *ngIf="enroll_vend_khusus_form.controls.det_lokasi.invalid && (enroll_vend_khusus_form.controls.det_lokasi.dirty || enroll_vend_khusus_form.controls.det_lokasi.touched)" class="alert alert-danger">
                            <app-show-errors [control]="enroll_vend_khusus_form.controls.det_lokasi"></app-show-errors>
                        </div>
                    </td>
                </tr>
                
            </table>
            <div fxFlexFill>
                <button mat-raised-button color="primary" class="w-101" (click)="onSubmitDetailVendor(enroll_vend_khusus_form.value)" *ngIf="vendorFlag" [disabled]="!enroll_vend_khusus_form.valid">SUBMIT</button>
            </div>
            </form>
            </div>
        </div>
    </div>
</div>


<mat-card class="acc_header">
    <mat-card-header>Inquiry Data</mat-card-header>
</mat-card>

<mat-accordion>
    <mat-expansion-panel>
        <mat-expansion-panel-header>
        <mat-panel-description>Booking</mat-panel-description>
        </mat-expansion-panel-header>    
            <mat-form-field>
                <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
            </mat-form-field>
            
            <table mat-table [dataSource]="dataSourceBooking" matSort class="mat-elevation-z8">
            
                <!-- Position Column -->
                <ng-container matColumnDef="booking_id">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Booking ID </th>
                    <td mat-cell *matCellDef="let element"> {{element.booking_id}} </td>
                </ng-container>
                
                <!-- Name Column -->
                <ng-container matColumnDef="stall_id">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Stall ID </th>
                    <td mat-cell *matCellDef="let element"> {{element.stall_id}} </td>
                </ng-container>
                
                <!-- Weight Column -->
                <ng-container matColumnDef="nip">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Staff ID </th>
                    <td mat-cell *matCellDef="let element"> {{element.nip}} </td>
                </ng-container>
                
                <tr mat-header-row *matHeaderRowDef="displayedColumnsBook"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumnsBook;" (click)="doubleClick(row, 1)"></tr>
            </table>
            <mat-paginator [pageSizeOptions]="[10,15,20]" showFirstLastButtons></mat-paginator>
    </mat-expansion-panel>
    
    <mat-expansion-panel>
        <mat-expansion-panel-header>
        <mat-panel-description>Staff</mat-panel-description>
        </mat-expansion-panel-header>    
            <mat-form-field>
                <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
            </mat-form-field>
            
            <table mat-table [dataSource]="dataSourceStaff" matSort class="mat-elevation-z8">
                
                <ng-container matColumnDef="name">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Nama </th>
                    <td mat-cell *matCellDef="let element"> {{element.name}} </td>
                </ng-container>
                
                <ng-container matColumnDef="division">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Divisi </th>
                    <td mat-cell *matCellDef="let element"> {{element.division.name}} </td>
                </ng-container>
                
                <ng-container matColumnDef="program">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Program </th>
                    <td mat-cell *matCellDef="let element"> {{element.program}} </td>
                </ng-container>
                
                <tr mat-header-row *matHeaderRowDef="displayedColumnsStaff"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumnsStaff;" (click)="doubleClick(row, 2)"></tr>
            </table>
            <mat-paginator [pageSizeOptions]="[10,15,20]" showFirstLastButtons></mat-paginator>
    </mat-expansion-panel>

    <mat-expansion-panel>
        <mat-expansion-panel-header>
        <mat-panel-description>Vendor</mat-panel-description>
        </mat-expansion-panel-header>    
            <mat-form-field>
                <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
            </mat-form-field>
            
            <table mat-table [dataSource]="dataSourceStall" matSort class="mat-elevation-z8">
                
                <ng-container matColumnDef="stall_id">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Stall ID </th>
                    <td mat-cell *matCellDef="let element"> {{element.stall_id}} </td>
                </ng-container>
                
                <ng-container matColumnDef="food">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Nama Stall </th>
                    <td mat-cell *matCellDef="let element"> {{element.food.name}} </td>
                </ng-container>

                <ng-container matColumnDef="location">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Location </th>
                    <td mat-cell *matCellDef="let element"> {{element.location}} </td>
                </ng-container>
                
                <tr mat-header-row *matHeaderRowDef="displayedColumnsStall"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumnsStall;" (click)="doubleClick(row, 3)"></tr>
            </table>
            <mat-paginator [pageSizeOptions]="[10,15,20]" showFirstLastButtons></mat-paginator>
    </mat-expansion-panel>

    <mat-expansion-panel>
        <mat-expansion-panel-header>
        <mat-panel-description>Trainer</mat-panel-description>
        </mat-expansion-panel-header>
            <mat-form-field>
                <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
            </mat-form-field>
            
            <table mat-table [dataSource]="dataSourceTrainer" matSort class="mat-elevation-z8">
                
                <ng-container matColumnDef="nip">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> NIP </th>
                    <td mat-cell *matCellDef="let element"> {{element.nip}} </td>
                </ng-container>
                
                <ng-container matColumnDef="name">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Nama </th>
                    <td mat-cell *matCellDef="let element"> {{element.name}} </td>
                </ng-container>
                
                <ng-container matColumnDef="division">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Divisi </th>
                    <td mat-cell *matCellDef="let element"> {{element.division.id}} </td>
                </ng-container>
                
                <tr mat-header-row *matHeaderRowDef="displayedColumnsTrainer"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumnsTrainer;" (click)="doubleClick(row, 2)"></tr>
            </table>
            <mat-paginator [pageSizeOptions]="[10,15,20]" showFirstLastButtons></mat-paginator>
    </mat-expansion-panel>

    <mat-expansion-panel>
        <mat-expansion-panel-header>
        <mat-panel-description>Trainee</mat-panel-description>
        </mat-expansion-panel-header>   
            <mat-form-field>
                <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
            </mat-form-field>
                
            <table mat-table [dataSource]="dataSourceTrainee" matSort class="mat-elevation-z8">
                
                <ng-container matColumnDef="nip">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> NIP </th>
                    <td mat-cell *matCellDef="let element"> {{element.nip}} </td>
                </ng-container>
                
                <ng-container matColumnDef="name">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Nama </th>
                    <td mat-cell *matCellDef="let element"> {{element.name}} </td>
                </ng-container>
                
                <ng-container matColumnDef="division">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Divisi </th>
                    <td mat-cell *matCellDef="let element"> {{element.division.name}} </td>
                </ng-container>

                <ng-container matColumnDef="program">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Program </th>
                    <td mat-cell *matCellDef="let element"> {{element.program}} </td>
                </ng-container>
                
                <tr mat-header-row *matHeaderRowDef="displayedColumnsTrainee"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumnsTrainee;" (click)="doubleClick(row, 2)"></tr>
            </table> 
            <mat-paginator [pageSizeOptions]="[10,15,20]" showFirstLastButtons></mat-paginator>
    </mat-expansion-panel>

    
</mat-accordion>

<div class="spacer"></div>

<mat-card class="enroll_header">
    <mat-card-header>Program Management</mat-card-header>
</mat-card>

<div class="mb-20" fxFlex fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
    <div fxFlex>
        <div class="left_forms_container">
            <form class="form" [formGroup]="create_program_form">
            <h1 style="font-size: 1em;">Pembuatan Materi Program</h1>
            <br>
            <table class="create_program">
                <tr>
                    <td class ="wdth_20">Nama Program:</td>
                    <td>
                        <mat-form-field>
                            <input matInput placeholder="Masukkan Nama Program" id="program" type="text" formControlName="prog_nama"
                            class="form-control" required="" >
                        </mat-form-field>
                        <div *ngIf="create_program_form.controls.prog_nama.invalid && (create_program_form.controls.prog_nama.dirty || create_program_form.controls.prog_nama.touched)" class="alert alert-danger">
                            <app-show-errors [control]="create_program_form.controls.prog_nama"></app-show-errors>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class ="wdth_20">Description:</td>
                    <td>
                        <mat-form-field>
                            <input matInput placeholder="Keterangan Program" id="desc" type="text" formControlName="prog_desc"
                            class="form-control" required="" >
                        </mat-form-field>
                        <div *ngIf="create_program_form.controls.prog_desc.invalid && (create_program_form.controls.prog_desc.dirty || create_program_form.controls.prog_desc.touched)" class="alert alert-danger">
                            <app-show-errors [control]="create_program_form.controls.prog_desc"></app-show-errors>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class ="wdth_20">Start Date:</td>
                    <td>
                        <mat-form-field>
                            <input matInput [matDatepicker]="tglMulaipicker" readonly placeholder="Choose a date" id="start_date" type="text" formControlName="prog_start"
                            class="form-control" required="" >
                            <mat-datepicker-toggle matSuffix [for]="tglMulaipicker"></mat-datepicker-toggle>
                            <mat-datepicker #tglMulaipicker></mat-datepicker>
                        </mat-form-field>
                        <div *ngIf="create_program_form.controls.prog_start.invalid && (create_program_form.controls.prog_start.dirty || create_program_form.controls.prog_start.touched)" class="alert alert-danger">
                            <app-show-errors [control]="create_program_form.controls.prog_start"></app-show-errors>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class ="wdth_20">End Date:</td>
                    <td>
                        <mat-form-field>
                            <input matInput [matDatepicker]="tglSelesaipicker" readonly placeholder="Choose a date" id="end_date" type="text" formControlName="prog_end"
                            class="form-control" required="">
                            <mat-datepicker-toggle matSuffix [for]="tglSelesaipicker"></mat-datepicker-toggle>
                            <mat-datepicker #tglSelesaipicker></mat-datepicker>
                        </mat-form-field>
                        <div *ngIf="create_program_form.controls.prog_end.invalid && (create_program_form.controls.prog_end.dirty || create_program_form.controls.prog_end.touched)" class="alert alert-danger">
                            <app-show-errors [control]="create_program_form.controls.prog_end"></app-show-errors>
                        </div>
                    </td>
                </tr>
            </table>
            <div>
                <button mat-raised-button color="primary" class="w-101" (click)="onSubmitProgram(create_program_form.value)"[disabled]="!create_program_form.valid">SUBMIT</button>
            </div>
            </form>
        </div>
    </div>

    <div fxFlex>

        <div class="right_forms_container">
            <form class="form" [formGroup]="create_materi_form">
            <h1 style="font-size: 1em;">Pembuatan Materi Pembelajaran</h1>
            <br>
            <table class="right_forms_create_materi" >    
                <tr>
                    <td>Kode Materi:</td>
                    <td>
                        <mat-form-field>
                            <input matInput placeholder="Masukkan Kode Materi" id="kodeMateri" type="text" formControlName="materi_code"
                            class="form-control" required="" >
                        </mat-form-field>
                        <div *ngIf="create_materi_form.controls.materi_code.invalid && (create_materi_form.controls.materi_code.dirty || create_materi_form.controls.materi_code.touched)" class="alert alert-danger">
                            <app-show-errors [control]="create_materi_form.controls.materi_code"></app-show-errors>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>Nama Materi:</td>
                    <td>
                        <mat-form-field>
                            <input matInput placeholder="Masukkan Nama Materi" id="namaMateri" type="text" formControlName="materi_nama"
                            class="form-control" required="">
                        </mat-form-field>
                        <div *ngIf="create_materi_form.controls.materi_nama.invalid && (create_materi_form.controls.materi_nama.dirty || create_materi_form.controls.materi_nama.touched)" class="alert alert-danger">
                            <app-show-errors [control]="create_materi_form.controls.materi_nama"></app-show-errors>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>Tahun:</td>
                    <td>
                        <mat-form-field>
                            <input matInput placeholder="Masukkan Tahun Materi" id="tahunMateri" type="text" formControlName="materi_tahun">
                        </mat-form-field>
                    </td>
                </tr>
                <br>
                <tr>
                    <td>Attachment:</td>
                    <td>
                        <input type="file" (change)="onFileSelected($event)" name="file">
                    </td>
                </tr>
            </table>
            <div fxFlexFill>
                <button mat-raised-button color="primary" class="w-101" (click)="onSubmitCreateMateri(create_materi_form.value)" [disabled]="!create_materi_form.valid">SUBMIT</button>
            </div>
        </form>
        </div>
    </div>
    
</div>

<mat-card class="acc_header">
        <mat-card-header>Inquiry Jadwal</mat-card-header>
</mat-card>
<mat-accordion>
    <mat-expansion-panel>
        <mat-expansion-panel-header>
        <mat-panel-description>Program</mat-panel-description>
        </mat-expansion-panel-header>   
            <mat-form-field>
                <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
            </mat-form-field>
                
            <table mat-table [dataSource]="dataSourceProgram" matSort class="mat-elevation-z8">
            
                <!-- Name Column -->
                <ng-container matColumnDef="code">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Nama Program </th>
                    <td mat-cell *matCellDef="let element"> {{element.code}} </td>
                </ng-container>
                
                <!-- Weight Column -->
                <ng-container matColumnDef="start_date">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Tanggal Mulai </th>
                    <td mat-cell *matCellDef="let element"> {{element.start_date | date:'mediumDate'}} </td>
                </ng-container>

                 <!-- Symbol Column -->
                <ng-container matColumnDef="end_date">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Tanggal Selesai </th>
                    <td mat-cell *matCellDef="let element"> {{element.end_date | date:'mediumDate'}} </td>
                </ng-container>
                
                <tr mat-header-row *matHeaderRowDef="displayedColumnsProgram"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumnsProgram;" (click)="doubleClick(row, 4)"></tr>
            </table> 
            <mat-paginator [pageSizeOptions]="[10,15,20]" showFirstLastButtons></mat-paginator>
    </mat-expansion-panel>

    <mat-expansion-panel>
        <mat-expansion-panel-header>
        <mat-panel-description>Kelas</mat-panel-description>
        </mat-expansion-panel-header>   
            <mat-form-field>
                <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
            </mat-form-field>
            
            <table mat-table [dataSource]="dataSourceClass" matSort class="mat-elevation-z8">
            
                <!-- Position Column -->
                <ng-container matColumnDef="code">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Nama Kelas </th>
                    <td mat-cell *matCellDef="let element"> {{element.code}} </td>
                </ng-container>
                
                <!-- Name Column -->
                <ng-container matColumnDef="availability">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Status </th>
                    <td mat-cell *matCellDef="let element"> {{element.availability === false? 'Occupied':'Unoccupied'}} </td>
                </ng-container>
                
                <tr mat-header-row *matHeaderRowDef="displayedColumnsClass"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumnsClass;" (click)="doubleClick(row, 5)"></tr>
            </table> 
            <mat-paginator [pageSizeOptions]="[10,15,20]" showFirstLastButtons></mat-paginator>
    </mat-expansion-panel>
</mat-accordion>

<div class="spacer"></div>
